RewriteEngine on

RewriteRule index\.html$ index.php
RewriteRule sora-(.*)\.html$ index.php?sora=$1
RewriteRule view-(.*),from-(.*),to-(.*)\.html$ index.php?sora=$1&f=$2&t=$3
RewriteRule reader-(.*)-(.*)\.html$ index.php?sora=$1&x=$2
RewriteRule language-(.*)\.html$ translate.php?l=$1
RewriteRule translate-(.*)-(.*)\.html$ translate.php?sora=$1&l=$2
RewriteRule s-(.*)-(.*)-(.*)\.html$ translate.php?sora=$1&l=$2&x=$3
RewriteRule listen-(.*)-(.*)-(.*)\.html$ listen.php?sora=$1&aya=$2&l=$3
RewriteRule tafseer-(.*)-(.*)\.html$ tafseer.php?sora=$1&type=$2
RewriteRule tafseer-(.*)\.html$ tafseer.php?type=$1
RewriteRule t-(.*)-(.*)-(.*)\.html$ tafseer.php?sora=$1&type=$2&aya=$3
RewriteRule location\.html$ location.php
RewriteRule reader\.html$ reader-location.php
RewriteRule word-(.*)-(.*)-(.*)\.html$ doc.php?sora=$1&type=$2&aya=$3
RewriteRule notepad-(.*)-(.*)-(.*)\.html$ plain.php?sora=$1&type=$2&aya=$3
RewriteRule html-(.*)-(.*)-(.*)\.html$ html.php?sora=$1&type=$2&aya=$3
RewriteRule x-(.*)-(.*)-(.*)\.html$ print.php?sora=$1&type=$2&aya=$3
RewriteRule language\.html$ language.php
RewriteRule books-(.*)\.html$ book.php?l=$1
RewriteRule book-details-(.*)-(.*)\.html$ book.php?id=$1&l=$2